Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

# Serialized Form

Package org.apache.lucene.search

Class org.apache.lucene.search.BooleanClause extends Object implements Serializable

Serialized Fields

### query

    org.apache.lucene.search.Query query

### occur

    org.apache.lucene.search.BooleanClause.Occur occur

Class org.apache.lucene.search.BooleanQuery extends org.apache.lucene.search.Query implements Serializable

Serialized Fields

### clauses

    ArrayList<E> clauses

### disableCoord

    boolean disableCoord

### minNrShouldMatch

    int minNrShouldMatch

Class org.apache.lucene.search.BooleanQuery.BooleanWeight extends org.apache.lucene.search.Weight implements Serializable

Serialized Fields

### similarity

    org.apache.lucene.search.Similarity similarity

### weights

    ArrayList<E> weights

### maxCoord

    int maxCoord

### disableCoord

    boolean disableCoord

Class org.apache.lucene.search.BooleanQuery.TooManyClauses extends RuntimeException implements Serializable

Class org.apache.lucene.search.CachingSpanFilter extends org.apache.lucene.search.SpanFilter implements Serializable

Serialized Fields

### filter

    org.apache.lucene.search.SpanFilter filter

### cache

    org.apache.lucene.search.CachingWrapperFilter.FilterCache<T> cache

### hitCount

    int hitCount

### missCount

    int missCount

Class org.apache.lucene.search.CachingWrapperFilter extends org.apache.lucene.search.Filter implements Serializable

Serialized Fields

### filter

    org.apache.lucene.search.Filter filter

### cache

    org.apache.lucene.search.CachingWrapperFilter.FilterCache<T> cache

### hitCount

    int hitCount

### missCount

    int missCount

Class org.apache.lucene.search.ComplexExplanation extends org.apache.lucene.search.Explanation implements Serializable

Serialized Fields

### match

    Boolean match

Class org.apache.lucene.search.ConstantScoreQuery extends org.apache.lucene.search.Query implements Serializable

Serialized Fields

### filter

    org.apache.lucene.search.Filter filter

### query

    org.apache.lucene.search.Query query

Class org.apache.lucene.search.ConstantScoreQuery.ConstantWeight extends org.apache.lucene.search.Weight implements Serializable

Serialized Fields

### innerWeight

    org.apache.lucene.search.Weight innerWeight

### similarity

    org.apache.lucene.search.Similarity similarity

### queryNorm

    float queryNorm

### queryWeight

    float queryWeight

Class org.apache.lucene.search.DefaultSimilarity extends org.apache.lucene.search.Similarity implements Serializable

Serialized Fields

### discountOverlaps

    boolean discountOverlaps

Class org.apache.lucene.search.DisjunctionMaxQuery extends org.apache.lucene.search.Query implements Serializable

Serialized Fields

### disjuncts

    ArrayList<E> disjuncts

### tieBreakerMultiplier

    float tieBreakerMultiplier

Class org.apache.lucene.search.DisjunctionMaxQuery.DisjunctionMaxWeight extends org.apache.lucene.search.Weight implements Serializable

Serialized Fields

### similarity

    org.apache.lucene.search.Similarity similarity

### weights

    ArrayList<E> weights

Class org.apache.lucene.search.Explanation extends Object implements Serializable

Serialized Fields

### value

    float value

### description

    String description

### details

    ArrayList<E> details

Class org.apache.lucene.search.Explanation.IDFExplanation extends Object implements Serializable

Class org.apache.lucene.search.FieldCacheRangeFilter extends org.apache.lucene.search.Filter implements Serializable

Serialized Fields

### field

    String field

### parser

    org.apache.lucene.search.FieldCache.Parser parser

### lowerVal

    Object lowerVal

### upperVal

    Object upperVal

### includeLower

    boolean includeLower

### includeUpper

    boolean includeUpper

Class org.apache.lucene.search.FieldCacheTermsFilter extends org.apache.lucene.search.Filter implements Serializable

Serialized Fields

### field

    String field

### terms

    String[] terms

Class org.apache.lucene.search.FieldComparatorSource extends Object implements Serializable

Class org.apache.lucene.search.FieldDoc extends org.apache.lucene.search.ScoreDoc implements Serializable

Serialized Fields

### fields

    Object[] fields

Class org.apache.lucene.search.FieldValueFilter extends org.apache.lucene.search.Filter implements Serializable

Serialized Fields

### field

    String field

### negate

    boolean negate

Class org.apache.lucene.search.FieldValueHitQueue.Entry extends org.apache.lucene.search.ScoreDoc implements Serializable

Serialized Fields

### slot

    int slot

Class org.apache.lucene.search.Filter extends Object implements Serializable

Class org.apache.lucene.search.FilteredQuery extends org.apache.lucene.search.Query implements Serializable

Serialized Fields

### query

    org.apache.lucene.search.Query query

### filter

    org.apache.lucene.search.Filter filter

Class org.apache.lucene.search.FuzzyQuery extends org.apache.lucene.search.MultiTermQuery implements Serializable

Serialized Fields

### minimumSimilarity

    float minimumSimilarity

### prefixLength

    int prefixLength

### termLongEnough

    boolean termLongEnough

### term

    org.apache.lucene.index.Term term

Class org.apache.lucene.search.MatchAllDocsQuery extends org.apache.lucene.search.Query implements Serializable

Serialized Fields

### normsField

    String normsField

Class org.apache.lucene.search.MultiPhraseQuery extends org.apache.lucene.search.Query implements Serializable

Serialized Fields

### field

    String field

### termArrays

    ArrayList<E> termArrays

### positions

    ArrayList<E> positions

### slop

    int slop

Class org.apache.lucene.search.MultiTermQuery extends org.apache.lucene.search.Query implements Serializable

Serialized Fields

### rewriteMethod

    org.apache.lucene.search.MultiTermQuery.RewriteMethod rewriteMethod

Class org.apache.lucene.search.MultiTermQuery.ConstantScoreAutoRewrite extends org.apache.lucene.search.ConstantScoreAutoRewrite implements Serializable

Class org.apache.lucene.search.MultiTermQuery.RewriteMethod extends Object implements Serializable

Class org.apache.lucene.search.MultiTermQuery.TopTermsBoostOnlyBooleanQueryRewrite extends org.apache.lucene.search.TopTermsRewrite<org.apache.lucene.search.BooleanQuery> implements Serializable

Class org.apache.lucene.search.MultiTermQuery.TopTermsScoringBooleanQueryRewrite extends org.apache.lucene.search.TopTermsRewrite<org.apache.lucene.search.BooleanQuery> implements Serializable

Class org.apache.lucene.search.MultiTermQueryWrapperFilter extends org.apache.lucene.search.Filter implements Serializable

Serialized Fields

### query

    org.apache.lucene.search.MultiTermQuery query

Class org.apache.lucene.search.NGramPhraseQuery extends org.apache.lucene.search.PhraseQuery implements Serializable

Serialized Fields

### n

    int n

Class org.apache.lucene.search.NumericRangeFilter extends org.apache.lucene.search.MultiTermQueryWrapperFilter<org.apache.lucene.search.NumericRangeQuery<T extends Number>> implements Serializable

Class org.apache.lucene.search.NumericRangeQuery extends org.apache.lucene.search.MultiTermQuery implements Serializable

Serialization Methods

### readObject

    private void readObject(ObjectInputStream arg0)
                     throws IOException,
                            ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

Serialized Fields

### field

    String field

### precisionStep

    int precisionStep

### dataType

    org.apache.lucene.document.NumericField.DataType dataType

### min

    Number min

### max

    Number max

### minInclusive

    boolean minInclusive

### maxInclusive

    boolean maxInclusive

Class org.apache.lucene.search.PhraseQuery extends org.apache.lucene.search.Query implements Serializable

Serialized Fields

### field

    String field

### terms

    ArrayList<E> terms

### positions

    ArrayList<E> positions

### maxPosition

    int maxPosition

### slop

    int slop

Class org.apache.lucene.search.PrefixFilter extends org.apache.lucene.search.MultiTermQueryWrapperFilter<org.apache.lucene.search.PrefixQuery> implements Serializable

Class org.apache.lucene.search.PrefixQuery extends org.apache.lucene.search.MultiTermQuery implements Serializable

Serialized Fields

### prefix

    org.apache.lucene.index.Term prefix

Class org.apache.lucene.search.Query extends Object implements Serializable

Serialized Fields

### boost

    float boost

Class org.apache.lucene.search.QueryWrapperFilter extends org.apache.lucene.search.Filter implements Serializable

Serialized Fields

### query

    org.apache.lucene.search.Query query

Class org.apache.lucene.search.RemoteCachingWrapperFilter extends org.apache.lucene.search.Filter implements Serializable

Serialized Fields

### filter

    org.apache.lucene.search.Filter filter

  Deprecated.

Class org.apache.lucene.search.RemoteSearchable extends UnicastRemoteObject implements Serializable

Serialized Fields

### local

    org.apache.lucene.search.Searchable local

  Deprecated.

Class org.apache.lucene.search.ScoreDoc extends Object implements Serializable

Serialized Fields

### score

    float score

### doc

    int doc

### shardIndex

    int shardIndex

Class org.apache.lucene.search.ScoringRewrite extends org.apache.lucene.search.TermCollectingRewrite<Q extends org.apache.lucene.search.Query> implements Serializable

Class org.apache.lucene.search.Similarity extends Object implements Serializable

Serialized Fields

### hasIDFExplainWithDocFreqAPI

    boolean hasIDFExplainWithDocFreqAPI

Class org.apache.lucene.search.SimilarityDelegator extends org.apache.lucene.search.Similarity implements Serializable

Serialized Fields

### delegee

    org.apache.lucene.search.Similarity delegee

  Deprecated.

Class org.apache.lucene.search.Sort extends Object implements Serializable

Serialized Fields

### fields

    org.apache.lucene.search.SortField[] fields

Class org.apache.lucene.search.SortField extends Object implements Serializable

Serialization Methods

### readObject

    private void readObject(ObjectInputStream arg0)
                     throws IOException,
                            ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

Serialized Fields

### field

    String field

### type

    int type

### locale

    Locale locale

### reverse

    boolean reverse

### parser

    org.apache.lucene.search.FieldCache.Parser parser

### comparatorSource

    org.apache.lucene.search.FieldComparatorSource comparatorSource

### missingValue

    Object missingValue

Class org.apache.lucene.search.SpanFilter extends org.apache.lucene.search.Filter implements Serializable

Class org.apache.lucene.search.SpanQueryFilter extends org.apache.lucene.search.SpanFilter implements Serializable

Serialized Fields

### query

    org.apache.lucene.search.spans.SpanQuery query

Class org.apache.lucene.search.TermQuery extends org.apache.lucene.search.Query implements Serializable

Serialized Fields

### term

    org.apache.lucene.index.Term term

Class org.apache.lucene.search.TermRangeFilter extends org.apache.lucene.search.MultiTermQueryWrapperFilter<org.apache.lucene.search.TermRangeQuery> implements Serializable

Class org.apache.lucene.search.TermRangeQuery extends org.apache.lucene.search.MultiTermQuery implements Serializable

Serialized Fields

### lowerTerm

    String lowerTerm

### upperTerm

    String upperTerm

### collator

    Collator collator

### field

    String field

### includeLower

    boolean includeLower

### includeUpper

    boolean includeUpper

Class org.apache.lucene.search.TimeLimitingCollector.TimeExceededException extends RuntimeException implements Serializable

Serialized Fields

### timeAllowed

    long timeAllowed

### timeElapsed

    long timeElapsed

### lastDocCollected

    int lastDocCollected

Class org.apache.lucene.search.TopDocs extends Object implements Serializable

Serialized Fields

### totalHits

    int totalHits

### scoreDocs

    org.apache.lucene.search.ScoreDoc[] scoreDocs

### maxScore

    float maxScore

Class org.apache.lucene.search.TopFieldDocs extends org.apache.lucene.search.TopDocs implements Serializable

Serialized Fields

### fields

    org.apache.lucene.search.SortField[] fields

Class org.apache.lucene.search.TopTermsRewrite extends org.apache.lucene.search.TermCollectingRewrite<Q extends org.apache.lucene.search.Query> implements Serializable

Serialized Fields

### size

    int size

Class org.apache.lucene.search.Weight extends Object implements Serializable

Class org.apache.lucene.search.WildcardQuery extends org.apache.lucene.search.MultiTermQuery implements Serializable

Serialized Fields

### termContainsWildcard

    boolean termContainsWildcard

### termIsPrefix

    boolean termIsPrefix

### term

    org.apache.lucene.index.Term term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES